commit:     232a8bfa925909be3bdc06c9860a191b5fb5f3cd
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 21 00:26:40 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr 21 02:09:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=232a8bfa

dev-ml/ocaml-hashcons: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ml/ocaml-hashcons/ocaml-hashcons-1.3.ebuild | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/dev-ml/ocaml-hashcons/ocaml-hashcons-1.3.ebuild 
b/dev-ml/ocaml-hashcons/ocaml-hashcons-1.3.ebuild
index 7b027961ea8..e059ea1b193 100644
--- a/dev-ml/ocaml-hashcons/ocaml-hashcons-1.3.ebuild
+++ b/dev-ml/ocaml-hashcons/ocaml-hashcons-1.3.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
 inherit autotools findlib
 
@@ -18,7 +18,10 @@ RDEPEND="dev-lang/ocaml:=[ocamlopt?]"
 DEPEND="${RDEPEND}"
 
 src_prepare() {
+       default
+
        eautoreconf
+
        sed -i -e 's/$(OCAMLFIND) remove/#/' Makefile.in || die
 }
 
@@ -31,7 +34,12 @@ src_compile() {
 }
 
 src_install() {
-       dodir "$(ocamlfind printconf destdir)/hashcons"
-       emake DESTDIR="-destdir ${D}/$(ocamlfind printconf destdir)/" $(usex 
ocamlopt install-opt install-byte)
+       local destdir=$(ocamlfind printconf destdir || die)
+       dodir ${destdir}/hashcons
+
+       emake \
+               DESTDIR="-destdir ${D}"/${destdir}/ \
+               $(usex ocamlopt install-opt install-byte)
+
        dodoc README.md CHANGES
 }

Reply via email to